
[Variables]

;-- WEATHER ICONS -- folder Path for the weather icons and their size.

Icon=#@#images\weather\Icons\
Icon2=#@#images\weather\IconsS\
H=76
W=76
PreserevAspectRatio=1

;-- LOCATION -- Go to http://www.weather.com/   search for your city.
;when in your city page, Copy the 8 digit code at the URL in the address bar | Paste the location code below.

Location=ITXX0085

;-- UNIT -- Choose either m, for metric (Celsius/km), or f, for imperial (Fahrenheit/mi) | Choose the unit below.

Unit=m




LOC_URL=http://www.weather.com/weather/today/#Location#

;==========================================================
;[MEASURE WEATHER]=========================================
;==========================================================

[MeasureCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=1800
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Unit#&dayf=1
RegExp="(?siU).*<locale>(.*)</locale>.*<ut>(.*)</ut>.*<ud>(.*)</ud>.*<us>(.*)</us>.*<up>(.*)</up>.*<ur>(.*)</ur>.*<loc id="(.*)">.*<dnam>(.*)</dnam>.*<tm>(.*)</tm>.*<lat>(.*)</lat>.*<lon>(.*)</lon>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<zone>(.*)</zone>.*<cc>.*<lsup>(.*)</lsup>.*<obst>(.*)</obst>.*<tmp>(.*)</tmp>.*<flik>(.*)</flik>.*<t>(.*)</t>.*<icon>(.*)</icon>.*<bar>.*<r>(.*)</r>.*<d>(.*)</d>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<hmid>(.*)</hmid>.*<vis>(.*)</vis>.*<uv>.*<i>(.*)</i>.*<t>(.*)</t>.*<dewp>(.*)</dewp>.*<moon>.*<icon>(.*)</icon>.*<t>(.*)</t>.*<ppcp>(.*)</ppcp>.*"


[Today]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=1800
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Unit#&dayf=1
RegExp="(?siU)<dayf>.*<lsup>(.*)</lsup>.*<day d="0" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"


[MeasureForcastToday+1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=12600
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Unit#&dayf=2
RegExp="(?siU)<day d="1" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"


[MeasureForcastToday+2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=12600
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Unit#&dayf=3
RegExp="(?siU)<day d="2" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"


[MeasureForcastToday+3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=12600
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Unit#&dayf=4
RegExp="(?siU)<day d="3" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"



;==========================================================
;[GRAPHICS]================================================
;==========================================================


;---Current---

;-=Icon=-

[MeasureIconCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=20
substitute="":"na"



;-=Current=-

[MeasureTempCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=17

[MeasureTempUnitCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=2

[MeasureUnits2Current]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=4



[MeasureWindCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=23

[MeasureWindDirCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=26

[MeasureLocationCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=8

[MeasureUpdateCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=15

[MeasureConditionsCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=19

[MeasureUnitsCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=3

[MeasureUnits2Current]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=4


[MeasureWindCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=23


[MeasureSunriseCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=12

[MeasureSunsetCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=13

[w1.line0]
meter=image
meterstyle=line
W=(#workareawidth#/4)
X=r
Y=[bg:Y]

[MeterLocationCurrent]
MeasureName=MeasureLocationCurrent
Meter=String
X=2r
Y=3
meterstyle=label2
fontsize=14
stringcase=upper
fontcolor=#t.color2#
clipstring=1
H=22
stringstyle=italic
text=weather in %1

[MeterCurrentIcon]
Path=#Icon#
MeasureName=MeasureIconCurrent
Meter=Image
PreserveAspectRatio=1
dynamicvariables=1
X=([MeterLocationCurrent:X]+12)
Y=([MeterLocationCurrent:Y]+[MeterLocationCurrent:H]+12)
LeftMouseDownAction=!execute ["#LOC_URL#"]

[MeterTempCurrent]
MeasureName=MeasureTempCurrent
MeasureName2=MeasureTempUnitCurrent
Meter=String
X=R
Y=2r
H=28
W=[MeterTempCurrent:W]
FontSize=16
meterstyle=label2
Text="%1%2"

[MeterConditionsCurrent]
MeasureName=MeasureConditionsCurrent
Meter=String
X=r
Y=2R
W=[MeterTempCurrent:W]
fontface=13
meterstyle=label2




[MeterWindCurrent]
MeasureName=MeasureWindCurrent
MeasureName2=MeasureWindDirCurrent
MeasureName3=MeasureUnits2Current
Meter=String
X=r
fontcolor=#t.color2#
Y=R
meterstyle=label2
W=[MeterTempCurrent:W]
Text="Wind: %1 %3 (%2)"


[MeterSunriseCurrent]
MeasureName=MeasureSunriseCurrent
Meter=String
X=r
W=[MeterTempCurrent:W]
fontcolor=#t.color2#
Y=R
meterstyle=label2
Text="Sunrise: %1"

[MeterSunsetCurrent]
MeasureName=MeasureSunsetCurrent
Meter=String
X=r
Y=R
W=[MeterTempCurrent:W]
fontcolor=#t.color2#
meterstyle=label2
Text="Sunset:  %1"


;-=WeatherText=-

[MeasureWeatherTextCurrent]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureCurrent]
StringIndex=3

;[MeterWeatherTextCurrent]
Meter=String
MeasureName=MeasureWeatherTextCurrent
X=r
Y=R
meterstyle=label2



;[TODAY]=====================================


[MeasureWeatherDescDay]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=9
Substitute=" And ":" and "

[MeasureWeatherDayDay]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=2

[MeasureWeatherTempDay]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=4
Substitute="N/A":"666"

[MeasureWeatherIconDay]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Path=#Icon#
Url=[Today]
StringIndex=8
substitute="":"na"

[CheckNATemp]
Measure=Calc
Formula=[MeasureWeatherTempDay]
IfBelowValue=665
IfBelowAction=!execute [!SetVariable time day]
IfEqualValue=666
IfEqualAction=!execute [!SetVariable time night]
DynamicVariables=1

;[TONIGHT]=====================================


[MeasureWeatherDescNight]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=18
Substitute=" And ":" and "

[MeasureWeatherTempNight]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=5

[MeasureWeatherIconNIght]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=17
substitute="":"na"

;[DISPLAY TODAY]=============================

[MeterIcon1]
MeasureName=MeasureWeatherIcon#time#
Meter=IMAGE
X=[MeterCurrentIcon:X]
Y=([MeterCurrentIcon:Y]+[MeterCurrentIcon:H]+2)
PreserveAspectRatio=1
Path=#Icon2#
dynamicvariables=1



[MeterDay1]
;MeasureName=MeasureWeatherDay#time#
Meter=STRING
X=r
Y=4R

solidcolor=0,0,0,0
meterstyle=label
w=(#workareawidth#/12)
Text=Today
fontcolor=#t.color2#

[Metertemp1]
MeasureName=MeasureWeathertemp#time#
Meter=STRING
X=43r
Y=-8r
fontsize=15
solidcolor=0,0,0,0
meterstyle=label2
w=(#workareawidth#/12)
Text="%1"

[Meterdesc1]
MeasureName=MeasureWeatherDesc#time#
Meter=STRING
X=[MeterDay1:X]
Y=5R
meterstyle=label2
w=(#workareawidth#/12)




;---Today+1---


;-=Icon=-

[MeasureIcon+1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+1]
StringIndex=7
substitute="":"na"

[MeterIcon+1]
Path=#Icon2#
MeasureName=MeasureIcon+1
Meter=Image
Y=[MeterIcon1:Y]
dynamicvariables=1
X=(#workareawidth#/12)r
PreserveAspectRatio=1


;-=DayName=-

[MeasureDay+1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
;Url=[MeasureForcastToday+1]
StringIndex=1

[MeterDay+1]
Meter=String

X=r
Y=4R
meterstyle=label
w=(#workareawidth#/12)
fontcolor=#t.color2#
text=tomorrow

[Metertemp+1]
MeasureName=Measuretemp+1
Meter=STRING
X=72r
Y=-8r
fontsize=15
solidcolor=0,0,0,0
meterstyle=label2
w=(#workareawidth#/12)
Text="%1"


;-=Temperature=-


[MeasureTemp+1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+1]
StringIndex=3



[MeterTempDay+1]

MeasureName=MeasureConditions+1
Meter=String
X=[MeterDay+1:X]
Y=5R
meterstyle=label2
w=(#workareawidth#/12)

[MeasureConditions+1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+1]
StringIndex=8


[MeasureLow+1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+1]
StringIndex=8


;---Today+2---


;-=Icon=-

[MeasureIcon+2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+2]
StringIndex=7
substitute="":"na"

[MeterIcon+2]
Path=#Icon2#
MeasureName=MeasureIcon+2
Meter=Image
Y=[MeterIcon1:Y]
dynamicvariables=1
X=(#workareawidth#/12)r
PreserveAspectRatio=1


;-=DayName=-

[MeasureDay+2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+2]
StringIndex=1


;-=Date=-


[MeasureDate+2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+2]
StringIndex=2

[Meterdate+2]
MeasureName=MeasureDate+2
Meter=String
Y=4R
X=r
meterstyle=label
w=(#workareawidth#/12)
fontcolor=#t.color2#

[Metertemp+2]
MeasureName=Measuretemp+2
Meter=STRING
X=46r
Y=-8r
fontsize=15
solidcolor=0,0,0,0
meterstyle=label2
w=(#workareawidth#/12)
Text="%1"


;-=Temperature=-


[MeasureTemp+2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+2]
StringIndex=3



[MeterTempDay+2]
MeasureName=MeasureConditions+2
Meter=String
X=[MeterDate+2:X]
Y=5R
meterstyle=label2
w=(#workareawidth#/12)

[MeasureConditions+2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+2]
StringIndex=8

[MeasureLow+2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureForcastToday+2]
StringIndex=8


[w1.line]
meter=image
meterstyle=line
X=([w2.line0:X]+[w2.line0:W])
Y=[bg:Y]



