
[ltray0]
meter=image
meterstyle=segment
X=r

[MeasurePowerSource]
Measure=Plugin
PlugIn=PlugIns\PowerPlugin.dll
PowerState=ACLINE
Substitute="0":"Battery","1":"Ac"

[MeasurePercent]
Measure=Plugin
PlugIn=PlugIns\PowerPlugin.dll
PowerState=PERCENT
UpdateDivider=60

[battery-icon0]
meter=image
imagetint=#t.color#
meterstyle=icon
X=-22r
W=12
H=12
dynamicvariables=1
path=#@#images
imagename=[MeasurePowerSource]
MouseOverAction=!Execute [!ShowMeter battery-icon1][!Redraw]
MouseLeaveAction=!Execute [!HideMeter battery-icon1][!Redraw]

[battery-bar]
meter=bar
measurename=MeasurePercent
W=7
H=8
barcolor=#t.color#,100
solidcolor=0,0,0,0
barorientation=horizontal
X=2r
Y=2r


[battery-icon]
meter=image
imagetint=#t.color#
Y=[battery-icon0:Y]
X=[battery-icon0:X]
meterstyle=icon
tooltiptext=[MeasurePowerSource], at [MeasurePercent]%
imagename=[MeasurePowerSource]
MouseOverAction=!Execute [!ShowMeter battery-icon1][!Redraw]
MouseLeaveAction=!Execute [!HideMeter battery-icon1][!Redraw]

[battery-icon1]
meter=image
meterstyle=hicon
Y=r
X=r
W=12
H=12
hidden=1
dynamicvariables=1
meterstyle=icon
imagename=[MeasurePowerSource]



[mGmail]
Measure=Plugin
Plugin=WebParser.dll
Url=https://#guser#:#gpass#@gmail.google.com/gmail/feed/atom
RegExp="(?siU)<fullcount>(.*)</fullcount>"
UpdateRate=30
StringIndex=1
IfAboveValue=1
IfAboveAction=!Execute [!SetVariable Mail "Newmail"]
IfEqualValue=1
IfEqualAction=!Execute[!SetVariable Mail "Newmail"]
IfBelowValue=1
IfBelowAction=!Execute [!SetVariable Mail "nonewmail"]
substitute="":"No"


[mail-icon]
meter=image
Y=r
X=-26r
W=12
H=12
meterstyle=icon
imagename=#mail#
dynamicvariables=1
tooltiptext=[mGmail] new Mail
leftmouseupaction=!execute ["http://mail.google.com/"]
MouseOverAction=!Execute [!ShowMeter mail-icon1][!Redraw]
MouseLeaveAction=!Execute [!HideMeter mail-icon1][!Redraw]

[mail-icon1]
meter=image
Y=r
X=r
W=12
H=12
meterstyle=hicon
imagename=#mail#
hidden=1
imagename=nonewmail
dynamicvariables=1


[MeasureBin1]
Measure=Plugin
Plugin=RecycleManager.dll
RecycleType=COUNT
Drives=ALL
substitute=".0":""

[MeasureBin2]
Measure=Plugin
Plugin=RecycleManager.dll
RecycleType=SIZE
Drives=ALL
substitute=".0":""

[BinAction]
Measure=Calc
Formula=MeasureBin1
IfAboveAction=!execute [!Setvariable  empty full][!setvariable trash  "%1 Item(s), %2"]
IfAboveValue=0
IfEqualAction=!execute [!Setvariable  empty empty][!setvariable trash "Empty"]
IfEqualValue=0




[bin-icon0]
meter=image
Y=r
X=-26r
meterstyle=icon
imagename=trash-empty
imagealpha=1
dynamicvariables=1
numofdecimals=1
tooltiptext=#trash#
measurename=measurebin1
measurename2=measurebin2

[bin-icon]
meter=image
Y=r
X=r
meterstyle=icon
imagename=trash-#empty#
imagename=trash-empty
dynamicvariables=1
numofdecimals=1
LeftMouseUpAction=!execute [!PluginBang "MeasureBin1 OpenBin"][!Redraw]
RightMouseUpAction=!execute ["c:\program files\ccleaner\ccleaner.exe"][!Redraw]
MouseOverAction=!Execute [!ShowMeter bin-icon1][!Redraw]
MouseLeaveAction=!Execute [!HideMeter bin-icon1][!Redraw]

[bin-icon1]
meter=image
Y=r
X=r
W=12
H=12
meterstyle=hicon
imagename=trash-#empty#
imagename=trash-empty
dynamicvariables=1
numofdecimals=1


[mSSID]
Measure=Plugin
Plugin=WifiStatus.dll
WifiInfoType=SSID
WifiIntfID=0
UpdateDivider=5

[mStrength]
Measure=Plugin
Plugin=WifiStatus.dll
WifiInfoType=QUALITY
WifiIntfID=0
IfEqualValue=0
IfEqualAction=!execute [!SetVariable Text "No Wi-fi"]
IfAboveValue=0
IfAboveAction=!execute [!SetVariable Text "at %1%"]
UpdateDivider=5

[wifi-icon]
Meter=BITMAP
Y=r
X=-26r
meterstyle=icon
MeasureName=mStrength
BitmapImage=#@#images\icons\Wi-fi
BitmapFrames=5
BitmapZeroFrame=1
UpdateDivider=5
dynamicvariables=1
MouseOverAction=!Execute [!ShowMeter wifi-icon1][!Redraw]
MouseLeaveAction=!Execute [!HideMeter wifi-icon1][!Redraw]
tooltiptext=#text#

[wifi-icon1]
Y=r
X=r
Meter=BITMAP
MeasureName=mStrength
BitmapImage=#@#images\icons\Wi-fi
BitmapFrames=5
BitmapZeroFrame=1
UpdateDivider=5
dynamicvariables=1
meterstyle=hicon
imagename=wi-fi
dynamicvariables=1

[ltray]
meter=image
meterstyle=line
X=-12r

